Bug 1893996 - NP CRD unable to be patched because of missing sg rule ID
Summary: NP CRD unable to be patched because of missing sg rule ID
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Networking
Version: 4.5
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
: 4.5.z
Assignee: Maysa Macedo
QA Contact: GenadiC
URL:
Whiteboard:
Depends On: 1856830
Blocks: 1895332
TreeView+ depends on / blocked
 
Reported: 2020-11-03 09:39 UTC by Maysa Macedo
Modified: 2020-11-17 16:06 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1856830
Environment:
Last Closed: 2020-11-17 16:06:00 UTC
Target Upstream Version:


Attachments (Terms of Use)
NP test results with the fix (420.10 KB, application/gzip)
2020-11-09 16:09 UTC, rlobillo
no flags Details
tempest results with the fix (13.11 MB, application/gzip)
2020-11-09 16:10 UTC, rlobillo
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Github openshift kuryr-kubernetes pull 392 0 None closed Bug 1893996: Fix duplicated sg rules on NP crd 2021-01-19 07:15:36 UTC
Red Hat Product Errata RHBA-2020:5051 0 None None None 2020-11-17 16:06:29 UTC

Comment 2 rlobillo 2020-11-09 16:08:58 UTC
Verified on OCP4.5.0-0.nightly-2020-11-07-002125 over OSP16.1 with OVN-Octavia (RHOS-16.1-RHEL-8-20201021.n.0)

All NP tests passed. Logs attached.

Furthermore, kuryr-tempest-plugin test test_network_policy_add_remove_pod passed with any kuryr pod restart:

(.tempest) [stack@undercloud-0 tempest-dir]$ oc get clusterversion
NAME      VERSION                             AVAILABLE   PROGRESSING   SINCE   STATUS
version   4.5.0-0.nightly-2020-11-07-002125   True        False         6h18m   Cluster version is 4.5.0-0.nightly-2020-11-07-002125

(.tempest) [stack@undercloud-0 tempest-dir]$ python -m testtools.run kuryr_tempest_plugin.tests.scenario.test_network_policy.OldNetworkPolicyScenario.test_network_policy_add_remove_pod
/usr/lib64/python3.6/runpy.py:125: RuntimeWarning: 'testtools.run' found in sys.modules after import of package 'testtools', but prior to execution of 'testtools.run'; this may result in unpredictable behaviour
  warn(RuntimeWarning(msg))
Tests running...

Ran 1 test in 902.277s
OK

(.tempest) [stack@undercloud-0 ~]$ oc get pods -n openshift-kuryr
NAME                                READY   STATUS    RESTARTS   AGE
kuryr-cni-74cgr                     1/1     Running   0          125m
kuryr-cni-jlsvw                     1/1     Running   0          125m
kuryr-cni-r4m4s                     1/1     Running   0          126m
kuryr-cni-xccvb                     1/1     Running   0          124m
kuryr-cni-xv9v2                     1/1     Running   0          124m
kuryr-cni-z9krm                     1/1     Running   0          127m
kuryr-controller-68997bd478-2zwmr   1/1     Running   0          89m

Comment 3 rlobillo 2020-11-09 16:09:37 UTC
Created attachment 1727888 [details]
NP test results with the fix

Comment 4 rlobillo 2020-11-09 16:10:58 UTC
Created attachment 1727889 [details]
tempest results with the fix

Comment 7 errata-xmlrpc 2020-11-17 16:06:00 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (OpenShift Container Platform 4.5.19 bug fix update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:5051


Note You need to log in before you can comment on or make changes to this bug.